Subject: Re: linux-next: manual merge of the arm tree with the arm-current tree

From: Uwe Kleine-König<[email-masked]>
Date: Tue, 12 Oct 2010 12:02:35 +0200

Hi Russell,

On Tue, Oct 12, 2010 at 10:42:08AM +0100, Russell King wrote:
> On Tue, Oct 12, 2010 at 11:23:57AM +0200, Uwe Kleine-König wrote:
> > Hi Russell,
> > 
> > On Tue, Oct 12, 2010 at 09:28:14AM +0100, Russell King wrote:
> > > On Tue, Oct 12, 2010 at 10:03:54AM +0200, Uwe Kleine-König wrote:
> > > > On Tue, Oct 12, 2010 at 10:33:14AM +1100, Stephen Rothwell wrote:
> > > > > Hi Russell,
> > > > > 
> > > > > Today's linux-next merge of the arm tree got a conflict in
> > > > > arch/arm/mach-imx/mach-cpuimx27.c between commit
> > > > > 4793ca4028e4dcdbf2740db50995c9378ded3cf8 ("cpuimx27: fix i2c bus
> > > > > selection") from the arm-current tree and commit
> > > > > 77a406da5a5b76445a816d5f043fc9aef4026ff1 ("ARM: imx: fix name of macros
> > > > > to add imx-i2c devices") from the arm tree.
> > > A more concerning question is - these recent conflicts have been happening
> > > as a result of merging people's GIT trees, which tend to be sent close
> > > to the merge window.
> > > 
> > > If the first time their changes become visible to linux-next is when
> > > they're merged into my tree, something is wrong...
> > I tried to reconstruct that.  I guess I cannot see yet that Russell took
> > 4793ca4028e4dcdbf2740db50995c9378ded3cf8 because I have no access to
> > Russell's kernel.org repo and his ftp.arm.linux.org.uk repo currently
> > barfs for me and Stephen didn't push out a tree newer than 20101011 yet.
> 
> What's up with it?  What URL are you using?

	http://ftp.arm.linux.org.uk/pub/linux/arm/kernel/git-cur/linux-2.6-arm.git/

and it fails for me with

	ukl@octopus:~/gsrc/linux-2.6$ git fetch rmk
	error: Unable to find 81490fcdf406f42fff9d9f57d541788f90242885 under
	http://ftp.arm.linux.org.uk/pub/linux/arm/kernel/git-cur/linux-2.6-arm.git
	Cannot obtain needed commit 81490fcdf406f42fff9d9f57d541788f90242885
	while processing commit d7840ed08bf6f74677a6b2b21b96269180be9eb6.
	error: Fetch failed.

I'm trying to reproduce with 

	git clone --reference ~/gsrc/linux-2.6 git://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux-2.6.git t
	cd t
	git remote add -f rmk http://ftp.arm.linux.org.uk/pub/linux/arm/kernel/git-cur/linux-2.6-arm.git/

... sometime later ...

works, so something in my repo seems to be the problem.  I assume a pack
file is corrupt?!  Hmm, I'll try to remove all packs I got from your
repo ...

... wget ... sed $magic ... rm $(cat filelist)

	ukl@octopus:~/gsrc/linux-2.6$ git fetch rmk
	 + 86c4743...74a4333 devel      -> rmk/devel  (forced update)
	   aa30900..c9ee46a  devel-stable -> rmk/devel-stable
	   d907387..a581da1  master     -> rmk/master
	   151b6a5..85a3318  origin     -> rmk/origin

\o/

I guess the problem is that I "Ctrl-C"d an earlier git fetch.

Best regards
Uwe

-- 
Pengutronix e.K.                           | Uwe Kleine-König            |
Industrial Linux Solutions                 | http://www.pengutronix.de/  |